%define eclipse_base     %{_libdir}/eclipse
%define install_loc      %{_datadir}/eclipse/dropins/egit

Summary:          Eclipse Git plug-in
Name:             eclipse-egit
Version:          0.5.0
Release:          1%{?dist}
License:          EPL and GPLv2 and LGPLv2
URL:              http://repo.or.cz/w/egit.git
Group:            Development/Tools

# retrieved from http://repo.or.cz/w/egit.git?a=snapshot;h=c8a5b04b88bfbafc63c54512f874a763ef9bba08;sf=tgz
Source0:          egit-c8a5b04b88bfbafc63c54512f874a763ef9bba08.tar.gz
# retrieved from http://repo.or.cz/w/jgit.git?a=snapshot;h=9c5c2e73ba21014e3a9427b8b27c3e62fe6d1c14;sf=tgz
Source1:          jgit-9c5c2e73ba21014e3a9427b8b27c3e62fe6d1c14.tar.gz
Requires:         eclipse-platform >= 1:3.4.0
Requires:         git-core
BuildRequires:    java-devel >= 1.6.0

BuildRequires:    eclipse-pde
BuildRequires:    jpackage-utils >= 0:1.5

BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The eclipse-egit package contains Eclipse plugins for
interacting with Git repositories.

%prep
%setup -q -c 
tar xf %{SOURCE1}

%build
%{eclipse_base}/buildscripts/pdebuild

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{install_loc}

# egit main feature
unzip -q -d $RPM_BUILD_ROOT%{install_loc}/ build/rpmBuild/org.eclipse.egit.zip

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{install_loc}

%changelog
* Fri Jul 17 2009 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-1
- Update to 0.5.0 to get the new update site.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-3.20090323
- Update to latest snapshot.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-3.20090217
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2.20090217
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-1.20090217
- New snapshot.

* Wed Dec 10 2008 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-1
- Update to 0.4.0.

* Wed Oct 22 2008 Alexander Kurtakov <akurtako@redhat.com> 0.3.1.20081022-3
- New git version.

* Wed Jul 30 2008 Andrew Overholt <overholt@redhat.com> 0.3.1-2
- Move files and update build for Eclipse SDK 3.4
- Use pdebuild

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.1-1
- fix license tag

* Tue Apr 08 2008 Jesse Keating <jkeating@redhat.com> - 0.3.1-0
- New upstream release 0.3.1, makes committing / diffing actually work

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.0-3
- Autorebuild for GCC 4.3

* Mon Oct 04 2007 Ben Konrath <bkonrath@redhat.com> 0.3.0-2.fc8
- Require git-core instead of git.
- Resolves: #319321

* Mon Sep 24 2007 Ben Konrath <bkonrath@redhat.com> 0.3.0-1.fc8
- 0.3.0

* Wed Sep 19 2007 Ben Konrath <bkonrath@redhat.com> 0.2.99-0.git20070919.fc8
- 0.2.99 git20070919

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-2.git20070911.fc8
- Update add feature and plugin patch.

* Mon Sep 17 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-1.git20070911.fc8
- Require eclipse-platform >= 3.2.1 

* Fri Sep 14 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070911.fc8
- Update to git20070911.
- Update feature and accosicated branding plugin.

* Wed Aug 29 2007 Ben Konrath <bkonrath@redhat.com> 0.2.2-0.git20070826.fc8
- Initial version
